const program = require('commander');
const readline = require('readline');
const { createPage } =  require('../fn/page');
const { createRoute } =  require('../fn/route');


const rl = readline.createInterface({
  input: process.stdin,
  output: process.stdout
});

program.parse(process.argv);

let pageName;
rl.question("页面名称(驼峰命名)：", answer => {
  console.log();
  // rl.close();
  pageName = createPage(answer);

  rl.question(`此页面路由名称( 空值：[使用页面名称作为路由名称]，'NONE':不创建路由 )：`, routeName => {
    console.log();

    if(routeName=='NONE'){
      return;
    }

    if (!routeName) {
      routeName = pageName.nameC;
    }

    rl.question('是否创建移动端路由（y/n, 默认:y）：', isMobile => {
      rl.close();
      if (isMobile === undefined) isMobile = 'y';
      createRoute(routeName, isMobile.trim()==='y');
    })
  })
})

