module.exports = function (str, from, to) {
  if (from === "dash") {
    if (to === "lodash") {
      str = str.replace(/\-/g, "_");
    } else {
      str = str.replace(/\-(\w)/g, function (all, letter) {
        return letter.toUpperCase();
      })
    }
  }

  if(from  === "lodash") {
    if (to === "dash") {
      str = str.replace(/_/g, "-");
    } else {
      str = str.replace(/_(\w)/g, function (all, letter) {
        return letter.toUpperCase();
      })
    }
  }

  if(from === "camel" || from === "upper"){
    if(to === "dash"){
      str = str.replace(/([A-Z])/g,"-$1").toLowerCase().replace(/^-/,'');
    }
    if(to === "lodash"){
      str = str.replace(/([A-Z])/g,"_$1").toLowerCase().replace(/^_/,'');
    }
    if(to === 'camel'){
      str = str.replace(/^([A-Z])/,function (all, $1){
        if($1){
          return $1.toLowerCase() + all.substr(1);
        }
        return all;
      })
    }
  }

  if(to === "upper"){
    str = str[0].toUpperCase() + [].slice.call(str,1).join("")
  }

  return str
}
