const fs = require('fs');
const path = require('path');
const babylon = require('babylon');
const traverse =  require("babel-traverse").default;
const generator = require("babel-generator").default;
const t = require("babel-types");

Route = function(){

}

Route.createMessage = function(id, enUs, zhCn, file){
  var fileContent = fs.readFileSync(path.resolve('./src/messages/zh-CN.json') ,'utf-8');
  if (fileContent.indexOf(new RegExp(`"id": *"${id}"`)) === -1) {
    console.log("match:", fileContent.match(/\}\n\]/m).length);
    fileContent = fileContent.replace(/\}\n\]/m, `},
  {
    "id":"${id}",
    "message":"${zhCn}",
    "defaultMessage":"${enUs}"
  }
]`);
    fs.writeFileSync(path.resolve('./src/messages/zh-CN.json') ,fileContent ,'utf-8');
  } else {
    console.log(`zh-CN.json have has "${id}"`);
  }

  fileContent = fs.readFileSync(path.resolve('./src/messages/en-US.json') ,'utf-8');
  if (fileContent.indexOf(new RegExp(`"id": *"${id}"`)) === -1) {
    fileContent = fileContent.replace(/\}\n\]/m, `},
  {
    "id":"${id}",
    "message":"${enUs}",
    "defaultMessage":"${enUs}"
  }
]`);
    fs.writeFileSync(path.resolve('./src/messages/en-US.json'), fileContent, 'utf-8');
  } else {
    console.log(`en-US.json have has "${id}"`);
  }

  if (file) {
    fileContent = fs.readFileSync(path.resolve(file) ,'utf-8');
    fileContent = fileContent.replace("const messages = defineMessages({",`const messages = defineMessages({
  ${id}: {
    id: "${id}",
    defaultMessage: "${enUs}",
  },`);
    fs.writeFileSync(path.resolve(file), fileContent, 'utf-8');
  }

  console.log('done');
}

module.exports = Route;
